Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::script_node::set_url_listener_t Class Reference

Inheritance diagram for openvrml::script_node::set_url_listener_t:

[legend]
List of all members.

## Detailed Description

set_url event listener.

For internal use only.

## Public Member Functions

| set_url_listener_t (script_node &node)
| Construct.
virtual | ~set_url_listener_t () throw ()
| Destroy.

## Private Member Functions

virtual void | do_process_event (const mfstring &value, double timestamp) throw (std::bad_alloc)
| Process an event.

## Constructor & Destructor Documentation

openvrml::script_node::set_url_listener_t::set_url_listener_t | ( | script_node & | node | ) | `[explicit]`

Construct.

Parameters:

  | node | a reference to the containing script_node.

openvrml::script_node::set_url_listener_t::~set_url_listener_t | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

void openvrml::script_node::set_url_listener_t::do_process_event | ( | const mfstring & | value,
|  | double | timestamp
| ) | throw (std::bad_alloc)`[private, virtual]`

Process an event.

Parameters:

  | value | new url value.
  | timestamp | the current time.

Exceptions:

  | std::bad_alloc | if memory allocation fails.

Implements openvrml::field_value_listener< mfstring >.